org.apache.lucene.geo3d

## Class GeoBaseCircle

- java.lang.Object
- - org.apache.lucene.geo3d.BasePlanetObject
  - - org.apache.lucene.geo3d.GeoBaseShape
    - - org.apache.lucene.geo3d.GeoBaseMembershipShape
      - - org.apache.lucene.geo3d.GeoBaseDistanceShape
        - - org.apache.lucene.geo3d.GeoBaseCircle

- All Implemented Interfaces:
    GeoCircle, GeoDistance, GeoDistanceShape, GeoMembershipShape, GeoOutsideDistance, GeoShape, GeoSizeable, Membership
  Direct Known Subclasses:
    GeoStandardCircle

      public abstract class GeoBaseCircle
      extends GeoBaseDistanceShape
      implements GeoCircle

  GeoCircles have all the characteristics of GeoBaseDistanceShapes, plus GeoSizeable.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.geo3d.BasePlanetObject

      `planetModel`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GeoBaseCircle(PlanetModel planetModel)` Constructor.

  - ### Method Summary

    - ### Methods inherited from class org.apache.lucene.geo3d.GeoBaseDistanceShape

      `computeDistance, computeDistance, distance, isWithin`

    - ### Methods inherited from class org.apache.lucene.geo3d.GeoBaseMembershipShape

      `computeOutsideDistance, computeOutsideDistance, outsideDistance`

    - ### Methods inherited from class org.apache.lucene.geo3d.GeoBaseShape

      `getBounds`

    - ### Methods inherited from class org.apache.lucene.geo3d.BasePlanetObject

      `equals, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.lucene.geo3d.GeoShape

      `getBounds, getEdgePoints, intersects`

    - ### Methods inherited from interface org.apache.lucene.geo3d.GeoOutsideDistance

      `computeOutsideDistance, computeOutsideDistance`

    - ### Methods inherited from interface org.apache.lucene.geo3d.Membership

      `isWithin, isWithin`

    - ### Methods inherited from interface org.apache.lucene.geo3d.GeoDistance

      `computeDistance, computeDistance`

    - ### Methods inherited from interface org.apache.lucene.geo3d.GeoSizeable

      `getCenter, getRadius`

- - ### Constructor Detail

    - #### GeoBaseCircle

          public GeoBaseCircle(PlanetModel planetModel)

      Constructor.
      Parameters:
        `planetModel` - is the planet model to use.

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.